import { v as l, q as s, f as m } from "./index-jYYVpIDL.js";
import { A as u } from "./AppCard-pSUVQRE0.js";
import { u as I } from "./useIsAppEnabled-Tvqt7uu5.js";
const C = function({ app: t, eventType: p }) {
  var a;
  const { getAppData: n, setAppData: d, disabled: o } = l(), r = n("SITE_ID"), { enabled: i, updateEnabled: c } = I(t);
  return /* @__PURE__ */ s.jsx(
    u,
    {
      app: t,
      switchOnClick: (e) => {
        c(e);
      },
      switchChecked: i,
      teamId: ((a = p.team) == null ? void 0 : a.id) || void 0,
      children: /* @__PURE__ */ s.jsx(
        m,
        {
          disabled: o,
          name: "Site ID",
          value: r,
          placeholder: "Enter your Site ID",
          onChange: (e) => {
            d("SITE_ID", e.target.value);
          }
        }
      )
    }
  );
};
export {
  C as default
};
